如何在旧Mac上安装新MacOS,在旧Mac上安装Mojave

如何在旧Mac上安装新MacOS,在旧Mac上安装Mojave

Mac每年更新一次macOS(以前的Mac OS X)台式机和笔记本电脑操作系统,如发条,带来新功能和改进。 这一切都很好,但最新版本的MacOS,即Mojave,不会在2012年以前的任何Mac上运行。这可能意味着你的Mac无法更新,除非你遵循这个教程 。

您可能正在查看由Google缓存的此故事的旧版本,请点击此处查看此故事的最新版本。

出发前 提前并按照下面的建议,一句警告。 苹果选择不支持旧Mac上的新Mac操作系统是有原因的。 较旧的Mac只是没有必要的组件或功能来满足更现代系统的需求。 因此,如果您在旧Mac上安装Mojave或任何最新版本的macOS,无论是High Sierra,Sierra还是别的什么,都不要指望它能够顺利运行。

Apple建议macOS Mojave将在以下Mac上运行:

  • 2012年或之后的Mac型号
  • iMac Pro(2017年起)
  • 2015年或之后的MacBook型号
  • 2012年或之后的MacBook Pro型号
  • 2012年或之后的MacBook Air型号
  • 2012年或之后的Mac mini型号
  • Mac Pro型号从2013年末开始(加上2010年中期和2012年中期型号推荐使用具有金属功能的GPU)

这意味着如果你的Mac比2012年旧 它不能正式运行莫哈韦。 这包括大多数旧式Mac Pro型号(除非你已经升级了GPU)。

macOS High Sierra有更多的范围。 苹果公司表示,将在2009年末或之后的MacBook或iMac,或2010年或更高版本的MacBook Air,MacBook Pro,Mac mini或Mac Pro上快乐地运行。

问题是,如果你有一台较旧的Mac,那么Mac App Store就不会让你安装升级文件。

但一切都不是 丢失。 由名为DOSDude1的开发人员编写的补丁工具使您可以在较旧的Mac上安装macOS Mojave。 DOSDude1为High Sierra和Sierra之前写了一个类似的补丁。 安装补丁后,您可以追溯到2008年初的型号。 它不太可能像梦一样运行,这就是为什么Apple建议不要采取这种行动。 但是你应该能够达到可以忍受的性能。

有关Apple使用Mojave的条款和条件的信息,请阅读:您是否同意Apple的条款和条件

如何更新旧Mac

这个黑客不适用于所有Mac,但很多都被覆盖,主要是2008年之后发布的。你可以看看你的Mac是否支持。

除了上面链接中列出的其中一个支持的Mac之外,您还需要macOS Mojave Patch Tool,一份macOS Mojave - 您需要从可以支持的Mac上的Mac App Store下载 Mojave - 和一个容量至少为16GB的USB驱动器。

你可以在这里下载Mojave补丁工具。

macOS Mojave补丁工具可以免费下载 - 但如果你 找到有用的工具,我们鼓励您向开发人员捐款。

要安装Mojave Patch Tool并在旧Mac上运行Mojave,我们建议您按照DOSDude1上的完整分步教程进行操作。 COM。 但这里有一个关于你将要做什么的超级简要总结。

  1. 首先,你需要使用磁盘工具将你的USB驱动器格式化为Mac OS Extended(Journaled)。/li>
  2. 打开macOS Mojave Patch Tool,导航到Mojave Installer App,选择你的USB驱动器并点击Start Operation。 从USB驱动器启动。
  3. 如果要进行全新安装,则需要在安装程序启动时再次打开“磁盘工具”,然后删除要将Mojave置于其中的磁盘或分区 - 此时您可以选择使用Mac OS 扩展(Journaled)或新的APFS文件系统类型。 (如果您的目标驱动器是SSD,则只需使用APFS,如果您使用APFS,则不会有可启动的恢复分区 - 在DOSDude1的页面上有更多详细信息)。
  4. 安装 通常是macOS,然后重新启动到安装程序驱动器。 这一次,打开macOS Post Install应用程序并选择正确的Mac型号。 选择适当的音量并选择Patch,然后选择Reboot结束。
  5. 当它重新启动时,你的Mac现在应该启动到macOS Mojave的完整工作副本。

为什么你不应该在旧的Mac上安装MacOS Mojave

我们建议科技初学者不要尝试这种解决方法:它需要适度的技术专业知识。

请记住,我们反对Apple对此问题的官方建议,这意味着如果出现问题 - 即使您正在使用官方安装操作系统,这也是一种可能性 软件 - 您的保修不太可能为您节省开支。 当然,您的2008 Mac不太可能受到任何保修,因此可能不会太担心您。

在继续操作之前备份Mac。 请记住另外两个警告。

如果你的Mac有一个Broadcom BCM4321模块 - 包括MacPro3,1,MacBook5,2的某些配置,通过Patch工具安装macOS Mojave将阻止Wi-Fi工作 ,MacBookPro4,1,iMac8,1,Macmini3,1和MacBookAir2,1。

如果是这种情况,Dosdude1建议在您的机器中安装新的兼容WiFi卡。 要查看是否有不受支持的卡,请在“关于本机”>“系统报告”中打开“系统概述”,然后向下滚动到WiFi。

在某些时候,苹果可能会修补这个黑客并阻止它在将来发挥作用。 所以,如果你热衷于并且很高兴风险和困难对你来说是值得的,那么在你还可以的时候跳进去。

否则,你可能想要阅读如何销售旧Mac。 另外,这里是如何在较新的Mac上运行旧版Mac OS X.


相关文章
如何在Mac上截取屏幕截图:在macOS中打印屏幕或截屏
iOS技巧:如何在iPad或iPhone上使用iOS 12,iOS 11及更早版本
如何停止iPhone X上的意外截图
如何将YouTube视频下载到iPhone iPad并离线观看
如何在iPhone,iPad或Mac上观看海外BBC iPlayer
如何使用HomePod
如何使用iPhone扫描文档和照片
在HomePod上问什么Siri?
如何在iPhone上的消息中使用iOS 12的新相机过滤器
http://www.chuore.com 戳热网

万元VR资源大礼包

全部

热文